
/* Version definitions */

#define PLAYER_VERSION  1
#define PLAYER_REVISION 1
#define VERSION_STRING "$VER: CDPlayer 1.1 "__AMIGADATE__" by Christian Buchner"

/* Prototypes for CDPlayer.c */

UWORD CD_SetProgram(ULONG **tracklist, void (*callback)(void));
UWORD CD_ToIndex(UWORD Index);
UWORD CD_CurrentIndex(void);
UWORD CD_CurrentTrack(void);
ULONG CD_CurrentPosition(void);
UWORD CD_NextIndex(void);
UWORD CD_PrevIndex(void);
void CD_Skip(WORD seconds);
void CD_Init(void);
void CD_Start(void);
BOOL CD_Abort(void);
void CD_Pause(void);
void CD_Resume(void);
void CD_Frequency(ULONG frequency);
void CD_Quality(ULONG quality);
BOOL CheckAudio(ULONG Track);
BOOL OpenSCSI(UBYTE *Device, ULONG Unit, BOOL PromotePri);
void CloseSCSI(void);
BOOL InitDriver(UBYTE *Driver, ULONG Buffers);
void DeInitDriver(void);
void ReadBuffer(void);
void PlayBuffer(void);
void __saveds SoundReply(void);
void __saveds SCSIReply(void);
ULONG DoSCSI(struct IOStdReq *IORequest, APTR Command, ULONG CommandLength, APTR Buffer, ULONG Length, ULONG Flags, BOOL Asynchronous, UBYTE *ActivityName);
void __stdargs Message(UBYTE *Msg,...);
